/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {SubContractorPublicRequest} from "./subContractorPublicRequest";

export class WorkerPublicRequest {
    public id: string;

    public name: string;

    public trades: string[];

    public meta: object;

    public subContractor: SubContractorPublicRequest;

    /**
     * Creates a WorkerPublicRequest.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} trades
     * @param {object} meta
     * @param {SubContractorPublicRequest} subContractor
     */
    constructor(id: string, name: string, trades: string[], meta: object, subContractor: SubContractorPublicRequest) {
        this.id = id;
        this.name = name;
        this.trades = trades;
        this.meta = meta;
        this.subContractor = subContractor;
    }
}
